Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.coordination
Interface CoordinationConfigurator

All Known Implementing Classes:
  CoordinationService

    public interface CoordinationConfigurator

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz, Chris Laprun

Method Summary
`AliasBindingInfo` | `getAliasBinding(Page page, java.lang.String name)`
`java.util.Collection<? extends AliasBindingInfo>` | `getAliasBindings(Page page)`
`java.util.Collection<EventWiringInfo>` | `getEventDestinationWirings(Window window)`
`java.util.Collection<EventWiringInfo>` | `getEventSourceWirings(Window window)`
`EventWiringInfo` | `getEventWiring(Page page, java.lang.String name)` Retrieves the event wiring found in the given page and identified with the specified name
`java.util.Collection<EventWiringInfo>` | `getEventWirings(Page page)`
`java.util.Collection<EventWiringInfo>` | `getEventWirings(Page page, javax.xml.namespace.QName eventQName)`
`WindowBindingInfo` | `getWindowBinding(Page page, java.lang.String name)`
`java.util.Collection<? extends WindowBindingInfo>` | `getWindowBindings(Page page)`
`java.util.Collection<? extends WindowBindingInfo>` | `getWindowBindings(Page page, javax.xml.namespace.QName parameterQName)`
`java.util.Collection<? extends WindowBindingInfo>` | `getWindowBindings(Window window)`
`java.lang.Boolean` | `isEventWiringImplicitModeEnabled(PageContainer pageContainer)` Checks if implicit event wiring is enabled for a given page container.
`java.lang.Boolean` | `isParameterBindingImplicitModeEnabled(PageContainer pageContainer)` Checks if implicit binding is enabled for a given page container.
`void` | `removeAliasBinding(AliasBindingInfo aliasInfo)` Removes an alias binding.
`void` | `removeAliasBinding(Page page, java.lang.String name)`
`void` | `removeEventWiring(EventWiringInfo eventWiringInfo)` Remove wiring
`void` | `removeEventWiring(Page page, java.lang.String wiringName)` Removes the wiring found in the given page and identified with the given name
`void` | `removeEventWiringImplicitMode(PageContainer pageContainer)` Removes event wiring implicit mode entry for a given page container
`void` | `removeParameterBindingImplicitMode(PageContainer pageContainer)` Removes parameter binding implicit mode entry for a given page container
`void` | `removeWindowBinding(Page page, java.lang.String name)`
`void` | `removeWindowBinding(WindowBindingInfo parameterBinding)` Removes given parameter binding
`void` | `renameAliasBinding(AliasBindingInfo aliasBinding, java.lang.String newName)` Renames the specified alias to the new name
`void` | `renameAliasBinding(Page page, java.lang.String bindingName, java.lang.String newName)`
`void` | `renameEventWiring(EventWiringInfo eventWiring, java.lang.String newName)` Renames the specified wiring to the new name
`void` | `renameEventWiring(Page page, java.lang.String wiringName, java.lang.String newName)` Renames the named wiring in the given Page to the spefified new name.
`void` | `renameWindowBinding(Page page, java.lang.String bindingName, java.lang.String newName)`
`void` | `renameWindowBinding(WindowBindingInfo windowBinding, java.lang.String newName)` Renames the specified window binding to the new name
`void` | `setAliasBinding(Page page, java.lang.String aliasName, java.util.Set<javax.xml.namespace.QName> qnames)` Set alias binding for a given page.
`void` | `setEventWiring(java.util.Map<Window,javax.xml.namespace.QName> sources, java.util.Map<Window,javax.xml.namespace.QName> targets, java.lang.String eventName)` Defines a wiring for a given even QName between multiple source and destination windows
`void` | `setEventWiringImplicitMode(PageContainer pageContainer, boolean mode)` Set event wiring implicit mode for a given page container.
`void` | `setParameterBindingImplicitMode(PageContainer pageContainer, boolean mode)` Set parameter binding implicit mode for a given page container.
`void` | `setWindowBinding(java.lang.String name, java.util.Map<Window,java.util.Set<javax.xml.namespace.QName>> mappings)` Defines shared parameter binding for a given collection of windows.

Method Detail

### setEventWiring

    void setEventWiring(java.util.Map<Window,javax.xml.namespace.QName> sources,
                        java.util.Map<Window,javax.xml.namespace.QName> targets,
                        java.lang.String eventName)
                        throws IllegalCoordinationException

  Defines a wiring for a given even QName between multiple source and destination windows

  Parameters:
    `sources` -
    `targets` -
    `eventName` -
  Throws:
    `IllegalCoordinationException`

### removeEventWiring

    void removeEventWiring(EventWiringInfo eventWiringInfo)
                           throws IllegalCoordinationException

  Remove wiring

  Parameters:
    `eventWiringInfo` -
  Throws:
    `IllegalCoordinationException`

### removeEventWiring

    void removeEventWiring(Page page,
                           java.lang.String wiringName)

  Removes the wiring found in the given page and identified with the given name

  Parameters:
    `page` -
    `wiringName` -

### setEventWiringImplicitMode

    void setEventWiringImplicitMode(PageContainer pageContainer,
                                    boolean mode)
                                    throws IllegalCoordinationException

  Set event wiring implicit mode for a given page container. This will be inherited recursively by all children page containers

  Parameters:
    `pageContainer` -
    `mode` -
  Throws:
    `IllegalCoordinationException`

### renameEventWiring

    void renameEventWiring(EventWiringInfo eventWiring,
                           java.lang.String newName)
                           throws IllegalCoordinationException

  Renames the specified wiring to the new name

  Parameters:
    `eventWiring` - the wiring to be renamed
    `newName` - the wiring new name
  Throws:
    `IllegalCoordinationException`

### renameEventWiring

    void renameEventWiring(Page page,
                           java.lang.String wiringName,
                           java.lang.String newName)
                           throws IllegalCoordinationException

  Renames the named wiring in the given Page to the spefified new name.

  Parameters:
    `page` - the Page in which the wiring is supposed to be found
    `wiringName` - the name of the wiring to be renamed
    `newName` - the new name for the wiring
  Throws:
    `IllegalCoordinationException`

### isEventWiringImplicitModeEnabled

    java.lang.Boolean isEventWiringImplicitModeEnabled(PageContainer pageContainer)

  Checks if implicit event wiring is enabled for a given page container. May return null if no implicit mode is not set for this portal object

  Parameters:
    `pageContainer` -
  Returns:

### removeEventWiringImplicitMode

    void removeEventWiringImplicitMode(PageContainer pageContainer)
                                       throws IllegalCoordinationException

  Removes event wiring implicit mode entry for a given page container

  Parameters:
    `pageContainer` -
  Throws:
    `IllegalCoordinationException`

### getEventWirings

    java.util.Collection<EventWiringInfo> getEventWirings(Page page,
                                                          javax.xml.namespace.QName eventQName)

  Parameters:
    `page` -
    `eventQName` -
  Returns:
    all wirings defined for a given qname

### getEventWirings

    java.util.Collection<EventWiringInfo> getEventWirings(Page page)

  Parameters:
    `page` -
  Returns:
    all wirings defined in the scope of a given page

### getEventWiring

    EventWiringInfo getEventWiring(Page page,
                                   java.lang.String name)
                                   throws IllegalCoordinationException

  Retrieves the event wiring found in the given page and identified with the specified name

  Parameters:
    `page` -
    `name` -
  Returns:
  Throws:
    `IllegalCoordinationException`

### getEventSourceWirings

    java.util.Collection<EventWiringInfo> getEventSourceWirings(Window window)

  Parameters:
    `window` -
  Returns:
    all wirings where given window is a source

### getEventDestinationWirings

    java.util.Collection<EventWiringInfo> getEventDestinationWirings(Window window)

  Parameters:
    `window` -
  Returns:
    all wirings where given window is a destination

### setWindowBinding

    void setWindowBinding(java.lang.String name,
                          java.util.Map<Window,java.util.Set<javax.xml.namespace.QName>> mappings)
                          throws IllegalCoordinationException

  Defines shared parameter binding for a given collection of windows.

  Parameters:
    `name` -
    `mappings` -
  Throws:
    `IllegalCoordinationException`

### removeWindowBinding

    void removeWindowBinding(WindowBindingInfo parameterBinding)
                             throws IllegalCoordinationException

  Removes given parameter binding

  Parameters:
    `parameterBinding` -
  Throws:
    `IllegalCoordinationException`

### removeWindowBinding

    void removeWindowBinding(Page page,
                             java.lang.String name)

  Parameters:
    `page` -
    `name` -

### renameWindowBinding

    void renameWindowBinding(WindowBindingInfo windowBinding,
                             java.lang.String newName)
                             throws IllegalCoordinationException

  Renames the specified window binding to the new name

  Parameters:
    `windowBinding` - the window binding to be renamed
    `newName` - the binding new name
  Throws:
    `IllegalCoordinationException`

### renameWindowBinding

    void renameWindowBinding(Page page,
                             java.lang.String bindingName,
                             java.lang.String newName)
                             throws IllegalCoordinationException

  Parameters:
    `page` -
    `bindingName` -
    `newName` -
  Throws:
    `IllegalCoordinationException`

### getWindowBindings

    java.util.Collection<? extends WindowBindingInfo> getWindowBindings(Page page)

  Parameters:
    `page` -
  Returns:
    window bindings define in the scope of a given page

### getWindowBindings

    java.util.Collection<? extends WindowBindingInfo> getWindowBindings(Window window)

  Parameters:
    `window` -
  Returns:
    window bindings where given window is involved

### getWindowBinding

    WindowBindingInfo getWindowBinding(Page page,
                                       java.lang.String name)
                                       throws IllegalCoordinationException

  Parameters:
    `page` -
    `name` -
  Returns:
  Throws:
    `IllegalCoordinationException`

### setParameterBindingImplicitMode

    void setParameterBindingImplicitMode(PageContainer pageContainer,
                                         boolean mode)
                                         throws IllegalCoordinationException

  Set parameter binding implicit mode for a given page container. This will be inherited recursively by all children page containers

  Parameters:
    `pageContainer` -
    `mode` -
  Throws:
    `IllegalCoordinationException`

### removeParameterBindingImplicitMode

    void removeParameterBindingImplicitMode(PageContainer pageContainer)
                                            throws IllegalCoordinationException

  Removes parameter binding implicit mode entry for a given page container

  Parameters:
    `pageContainer` -
  Throws:
    `IllegalCoordinationException`

### isParameterBindingImplicitModeEnabled

    java.lang.Boolean isParameterBindingImplicitModeEnabled(PageContainer pageContainer)

  Checks if implicit binding is enabled for a given page container. May return null if implicit mode is not set for this portal object

  Parameters:
    `pageContainer` -
  Returns:

### setAliasBinding

    void setAliasBinding(Page page,
                         java.lang.String aliasName,
                         java.util.Set<javax.xml.namespace.QName> qnames)
                         throws IllegalCoordinationException

  Set alias binding for a given page. If alias with given name already exists it will be overwritten

  Parameters:
    `page` -
    `aliasName` -
    `qnames` -
  Throws:
    `IllegalCoordinationException`

### removeAliasBinding

    void removeAliasBinding(AliasBindingInfo aliasInfo)
                            throws IllegalCoordinationException

  Removes an alias binding.

  Parameters:
    `aliasInfo` -
  Throws:
    `IllegalCoordinationException`

### removeAliasBinding

    void removeAliasBinding(Page page,
                            java.lang.String name)

  Parameters:
    `page` -
    `name` -
  Throws:
    `IllegalCoordinationException`

### renameAliasBinding

    void renameAliasBinding(AliasBindingInfo aliasBinding,
                            java.lang.String newName)
                            throws IllegalCoordinationException

  Renames the specified alias to the new name

  Parameters:
    `aliasBinding` - the alias binding to be renamed
    `newName` - the alias new name
  Throws:
    `IllegalCoordinationException`

### renameAliasBinding

    void renameAliasBinding(Page page,
                            java.lang.String bindingName,
                            java.lang.String newName)
                            throws IllegalCoordinationException

  Parameters:
    `page` -
    `bindingName` -
    `newName` -
  Throws:
    `IllegalCoordinationException`

### getAliasBindings

    java.util.Collection<? extends AliasBindingInfo> getAliasBindings(Page page)

  Parameters:
    `page` -
  Returns:
    collection of alias bindings connected to the given page

### getAliasBinding

    AliasBindingInfo getAliasBinding(Page page,
                                     java.lang.String name)

  Parameters:
    `page` -
    `name` -
  Returns:

### getWindowBindings

    java.util.Collection<? extends WindowBindingInfo> getWindowBindings(Page page,
                                                                        javax.xml.namespace.QName parameterQName)

  Parameters:
    `page` -
    `parameterQName` -
  Returns:
    window bindings for a given parameter qname

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD